Class UmlBaseCreateObjectAction

Declaration :

- C++ : class UmlBaseCreateObjectAction : public UmlActivityAction
- Java : package abstract class UmlBaseCreateObjectAction extends UmlActivityAction

Directly inherited by : UmlCreateObjectAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new create object action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlCreateObjectAction, exceptions : RuntimeException
- C++ : public: static UmlCreateObjectAction * create(UmlItem * parent, const char * s)
- Java : public static UmlCreateObjectAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseCreateObjectAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseCreateObjectAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseCreateObjectAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseCreateObjectAction(long id, String s)

Operation classifier

return the classifier

Declaration :

- Uml : + classifier() : string
- C++ : public: const QCString & classifier()
- Java : public String classifier()

Operation set_Classifier

set the classifier
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Classifier(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Classifier(const char * v)
- Java : public void set_Classifier(String v) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _classifier

Declaration :

- Uml : - _classifier : string
- C++ : private: QCString _classifier
- Java : private String _classifier

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , classifier , constraint , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Classifier , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload , unload